Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.connection.transport.servlet
Class HttpTransportUtils

    java.lang.Object
      weblogic.wsee.connection.transport.servlet.HttpTransportUtils

    public class HttpTransportUtils

extends Object

This is a utiltily class for getting HTTP/S transport related information.

Constructor Summary
`HttpTransportUtils()`

Method Summary
`static HttpServletRequest` | `getHttpServletRequest(MessageContext msgCtx)` Obtain the HttpServletRequest object associated with the given message context
`static HttpServletResponse` | `getHttpServletResponse(MessageContext msgCtx)` Obtain the HttpServletResponse object associated with the given message context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpTransportUtils

    public HttpTransportUtils()

Method Detail

### getHttpServletRequest

    public static final HttpServletRequest getHttpServletRequest(MessageContext msgCtx)

  Obtain the HttpServletRequest object associated with the given message context

  Parameters:
    `msgCtx` - MessageContext of a Web Service
  Returns:
    HttpServletRequest if exists

### getHttpServletResponse

    public static final HttpServletResponse getHttpServletResponse(MessageContext msgCtx)

  Obtain the HttpServletResponse object associated with the given message context

  Parameters:
    `msgCtx` - MessageContext of a Web Service
  Returns:
    HttpServletResponse if exists

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD